#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "Slip.h"
#include "varicode.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
private slots:
    void handlerxpacket(QByteArray pkt);
    void on_serialPortInfoListBox_currentIndexChanged(const QString &port);
    void on_txButton_clicked();

private:
    void Setport(QString port);
    void fillPortsInfo();
    Ui::MainWindow *ui;
    Slip slip;

    QByteArray symbolbuffer;


};

#endif // MAINWINDOW_H
